package com.example.example

import com.example.channel.StreamHandlerExample
import com.example.channel.MethodCallHandlerExample
import com.example.channel.SettingMethodCallHandler
import io.flutter.embedding.android.FlutterActivity
import io.flutter.embedding.engine.FlutterEngine
import io.flutter.plugin.common.EventChannel
import io.flutter.plugin.common.MethodChannel

class MainActivity : FlutterActivity() {
    override fun configureFlutterEngine(flutterEngine: FlutterEngine) {
        super.configureFlutterEngine(flutterEngine)
        // MethodChannel
        MethodChannel(flutterEngine.dartExecutor.binaryMessenger, MethodCallHandlerExample.METHOD_CHANNEL_KEY)
                .setMethodCallHandler(MethodCallHandlerExample())
        // EventChannel
        EventChannel(flutterEngine.dartExecutor.binaryMessenger, StreamHandlerExample.EVENT_CHANNEL_KEY)
                .setStreamHandler(StreamHandlerExample())
        MethodChannel(flutterEngine.dartExecutor.binaryMessenger, SettingMethodCallHandler.METHOD_CHANNEL_KEY)
                .setMethodCallHandler(SettingMethodCallHandler())
    }
}
