import 'package:flutter/material.dart';
import '../../../common/common.dart';
import '../../../common/widgets.dart';

class ErrorRouterTestThirdPage extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('异常路由测试第三页'),
      ),
      body: Center(
        child: ListView(
          padding: const EdgeInsets.only(
              left: 16.0, right: 16.0, top: 8.0, bottom: 8.0),
          children: <Widget>[
            buildEntryButton(context, '跳转下一页', '/error_test/error_router_test/first_page'),
            buildButton(context, '触发异常', generateError),
          ],
        ),
      ),
    );
  }
}