import 'package:flutter/material.dart';
import '../../common/widgets.dart';

class FluencyTestPage extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('流畅度测试'),
      ),
      body: Center(
        child: ListView(
          padding: const EdgeInsets.only(
              left: 16.0, right: 16.0, top: 8.0, bottom: 8.0),
          children: <Widget>[
            buildEntryButton(context, 'Lottie动画测试', '/fluency_test/lottie_test_page'),
            buildEntryButton(context, '长列表循环跳转', '/list_page_test/first_page'),
          ],
        ),
      ),
    );
  }
}