const bool kReleaseMode = bool.fromEnvironment('dart.vm.product', defaultValue: true);
const bool kProfileMode = bool.fromEnvironment('dart.vm.profile', defaultValue: false);
const bool kDebugMode = !kReleaseMode && !kProfileMode;
const String ve_apm = '[ve_apm]';
bool enableLogConfig = false;

/// 只有Debug模式才会输出
void logDebug(dynamic massage) {
  if (kProfileMode || kReleaseMode) {
    return;
  }
  _log(massage);
}

/// Debug和Profile模式会输出
void logProfile(dynamic massage) {
  if (kReleaseMode) {
    return;
  }
  _log(massage);
}

/// Debug、Profile和Release模式都会输出
void logRelease(dynamic massage) {
  _log(massage);
}

void _log(dynamic massage) {
  if (enableLogConfig) {
    print('$ve_apm: $massage');
  }
}

/// 允许输出日志
void enableVeApmLog(bool config) {
  enableLogConfig = config;
}