package com.example.utils;

import android.content.Context;
import android.content.SharedPreferences;

public class SpUtil {

    private static final String KEY_SP_NAME = "settings";
    private static final String KEY_AID = "appid";
    private static final String KEY_REPORT_URL = "reportUrl";

    public static String getAppId(Context context) {
        SharedPreferences sharedPreferences = context.getSharedPreferences(KEY_SP_NAME, Context.MODE_PRIVATE);
        return sharedPreferences.getString(KEY_AID, "187277");
    }

    public static String getReportUrl(Context context) {
        SharedPreferences sharedPreferences = context.getSharedPreferences(KEY_SP_NAME, Context.MODE_PRIVATE);
        return sharedPreferences.getString(KEY_REPORT_URL, "默认值");
    }

    public static void setAppIdAndReportUrl(Context context, String appId, String reportUrl) {
        SharedPreferences sharedPreferences = context.getSharedPreferences(KEY_SP_NAME, Context.MODE_PRIVATE);
        SharedPreferences.Editor editor = sharedPreferences.edit();//获取编辑器
        if (appId != null) {
            editor.putString(KEY_AID, appId);
        }
        if (appId != null) {
            editor.putString(KEY_REPORT_URL, reportUrl);
        }
        editor.apply();
    }
}
