import 'package:flutter/material.dart';
import 'package:lottie/lottie.dart';

class LottieTestPage extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('Lottie动画测试'),
      ),
      body: Center(
        child: ListView(
          padding: const EdgeInsets.only(
              left: 16.0, right: 16.0, top: 8.0, bottom: 8.0),
          children: <Widget>[
            Lottie.asset('assets/lottie/70337-binocular.json'),
            Lottie.asset('assets/lottie/70346-girl-working.json'),
            Lottie.asset('assets/lottie/70557-goldcoinbox02.json'),
            Lottie.asset('assets/lottie/70560-puli-dog-run.json'),
            Lottie.asset('assets/lottie/70662-olympics-run-animation-tokyo-2021.json'),
            Lottie.asset('assets/lottie/70710-fox-animation.json'),
          ],
        ),
      ),
    );
  }
}