class NetworkLogTye {
  const NetworkLogTye._(this._value);

  final int _value;

  int get value => _value;

  // 成功请求
  static const NetworkLogTye SUCCESS_REQUEST = NetworkLogTye._(0);
  // 状态码错误
  static const NetworkLogTye STATUS_CODE_ERROR = NetworkLogTye._(1);
  // 请求错误
  static const NetworkLogTye REQUEST_ERROR = NetworkLogTye._(2);
}

/// HttpError describes the error info  when request failed.
class ApmNetworkError implements Exception {

  ApmNetworkError(this.error);

  // The original error/exception object
  dynamic? error;

  @override
  String toString() {
    var msg = error?.toString() ?? '';
    if (error is Error) {
      msg += '\n${error.stackTrace}';
    }
    return msg;
  }
}